Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurSetLocking

Choose between locking and non-locking variants of the Krylov-Schur method.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurSetLocking(EPS eps,PetscBool lock)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- lock - true if the locking variant must be selected

## Options Database Key

- -eps_krylovschur_locking - sets the locking flag

## Notes

The default is to lock converged eigenpairs when the method restarts. This behavior can be changed so that all directions are kept in the working subspace even if already converged to working accuracy (the non-locking variant).

Implementation details of Krylov-Schur in SLEPc can be found in [Hernandez et al., 2007].

## References

[Her07b]

V. Hernandez, J. E. Roman, A. Tomas, and V. Vidal. Krylov-schur methods in SLEPc. Technical Report STR-7, Universitat Politècnica de València, 2007. URL: https://slepc.upv.es/documentation.

## See Also

EPS: Eigenvalue Problem Solver, `EPSKRYLOVSCHUR`, `EPSKrylovSchurGetLocking()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurSetLocking_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages